// ********************************************************
// Interface ListInterface for the ADT list.
// *********************************************************
public interface ListInterface {

  public boolean isEmpty();
  
  public int size();
  
  public void add(int position, Object item) 
                  throws ListIndexOutOfBoundsException,
                         ListException;
                         
  public Object get(int position) 
                    throws ListIndexOutOfBoundsException;
                    
  public void remove(int position) 
                     throws ListIndexOutOfBoundsException;
                     
  public void removeAll();
  
}  // end ListInterface
